OpenMRS Platform not running

Gilbert, I suggest that you try installing OpenMRS from scratch using the OpenMRS SDK. Once you have seen how this works (e.g. installing OpenMRS Platform or Reference Application, and adding modules on top of that) then you can try the manual installation you’re doing now.

-Darius (by phone)

1 Like

Hi Gilbert

It seems that you are facing a few problems while running OpenMRS. What I have noticed from the screenshots that you have shared, is that you are using a windows PC.

Typically when you try to install OpenMRS on a windows device, a few directories are created, in your hidden AppData directory. The default path is:

C:\Users<>AppData\Roaming\OpenMRS.

In the directory mentioned above you can look for modules folder. You can then paste .omod files, which can be obtained from here. Alternatively, you can clone these modules, clean install them using maven, and then paste the generated omod files to the directory ~\OpenMRS\modules.

1 Like

Hi @prateek thanks for your response and taking ur method first. according to my AppData directory, below is what am seeing in the openMRS folder, where do you think i should place the .omod files. thanks

@prateek i have tried placing the .omod files in the webapp directory but still getting the same problem. Maybe am missing out on which directory exactly to place those .omod files. Thanks

Check the openmrs log for a message which start with “Using runtime properties file…” This will show you the location of the modules folder.

1 Like

i have successfully found the modules folder and placed the .omod files there however, the browser brought the screen shot bellow. what can i do next? Thanks

Start with only one module in the modules folder. And let that module be legacyui

2 Likes

Thank very much for your kind support… It has successfully opened up showing the sign in tabs. And great thanks to all those who tried to offer there support as well. Thanks once against :blush::blush:

OpenMRS Platform 2.2.0-SNAPSHOT.0 Running! If you are seeing this page, it means that the OpenMRS Platform is running successfully, but no user interface module is installed.

Click here to access the Add On Manager and install modules

To learn more about the available User Interface Modules, visit the User Interface Modules wiki page for details about installing them

If you are a developer, you can access the REST API. (See REST documentation for clients)

http://localhost:8888/openmrs/owa/addonmanager/index.html#/

Adding the legacy ui module file at the following location fixed the problem of no user interface installed. /Library/Tomcat/apache-tomcat-7.0.92/webapps/openmrs/WEB-INF/bundledModules

Thank you. It works fine for me also. However, How can I access the remaining modules and play with the source code to add few modifications?

You can get started with this: https://wiki.openmrs.org/display/docs/OpenMRS+SDK

1 Like

I have done the same, I kept the legacyui-1.6.0.omod in C:\Users\AppData\Roaming\OpenMRS\modules, even though I am getting the no user interface module is installed error

what interface are you seing,you can drop the screen short here

Thanks for the quick reply, I am getting the above interface, even I have restarted the server. Waiting for reply

try deleting the legacy ui from the modules,and then download it here https://addons.openmrs.org/show/org.openmrs.module.legacy-ui-module after put it back to the C:\Users\AppData\Roaming\OpenMRS\modules ,then restart the server.incase it fails again,you will drop here the server logs here

You may want to first try clearing the browser cache, and reload the page.

sure,so many times chrome has that issue faced it a couple of days back

I am getting the below error

WARN: Establishing SSL connection without server’s identity verification is not recommended. According to MySQL 5.5.45+, 5.6.26+ and 5.7.6+ requirements SSL connection must be established by default if explicit option isn’t set. For compliance with existing applications not using SSL the verifyServerCertificate property is set to ‘false’. You need either to explicitly disable SSL by setting useSSL=false, or set useSSL=true and provide truststore for server certificate verification. WARN - ModuleFactory.startModuleInternal(786) Error while trying to start module: legacyui org.openmrs.module.ModuleException: Module requires version matching 2.0.0. Current code version is ${parsedVersion.majorVersion}.${parsedVersion.minorVersion}.${parsedVersion.incrementalVersion}-${revisionNumber} at org.openmrs.module.ModuleUtil.checkRequiredVersion(ModuleUtil.java:399) ~[classes/:?] at org.openmrs.module.ModuleFactory.startModuleInternal(ModuleFactory.java:653) [classes/:?] at org.openmrs.api.context.Daemon$1.run(Daemon.java:80) [classes/:?]

By the way, have you looked at this? https://wiki.openmrs.org/display/docs/OpenMRS+SDK

1 Like